TUNELP(8)

BEZEICHNUNG
tunelp - verschiedene Parameter für das lp-Gerät setzen

ÜBERSICHT

tunelp [Optionen] Gerät

BESCHREIBUNG

tunelp setzt verschiedene Parameter für /dev/lp?-Geräte, um bessere Performance zu erreichen (oder um überhaupt arbeiten zu können, falls etwa Ihr Drucker ohne nicht funktioniert ...). Ohne Parameter ermittelt das Programm, ob das Gerät Interrupts verwendet und falls ja, welche. Mit Parametern verändert es die Gerätecharakteristiken. Folgende Parameter sind zulässig:

OPTIONEN

-i, --irq Argument
    gibt den IRQ an, den der fragliche Parallelport verwenden soll. Ist diese Option auf eine Zahl gesetzt, die nicht null ist, verlieren -t und -c ihre Wirkung. Falls Ihr Port keine Interrupts verwendet, blockiert diese Option das Drucken über ihn. Der Befehl tunelp -i 0 stellt die Nicht-Interrupt-gesteuerte Aktion (Polling) wieder her, und Ihr Drucker sollte wieder funktionieren. Sofern Ihr Parallelport Interrupts unterstützt, kann Interrupt-gesteuertes Drucken die Geschwindigkeit und Effizienz erhöhen und somit wünschenswert sein.

    HINWEIS: Diese Option ist mit Kernel 2.1.131 oder neuer unwirksam, da der IRQ vom Parallelport-Treiber verwaltet wird. Sie können den Parallelport-IRQ beispielsweise über /proc/parport/*/irq ändern. In /usr/src/linux/Documentation/admin-guide/parport.rst finden Sie weitere Details zum Parallelport.

-t, --time Millisekunden
    ist die Zeitspanne in Jiffies, die der Treiber verstreichen lässt, falls der Drucker kein Zeichen entsprechend der im Parameter -c vorgeschriebenen Versuche annimmt. Der Vorgabewert ist 10. Wenn Sie so schnell wie möglich drucken wollen und die höhere Systemlast für Sie nicht von Bedeutung ist, können Sie den Wert auf 0 setzen. Sollte andererseits die Druckgeschwindigkeit keine Rolle spielen, oder Sie drucken Text auf einem langsamen Drucker mit einem Puffer, dann ist ein Wert von 500 (entspricht 5 Sekunden) angemessen, und die Systemlast wird wenig beeinflusst. Der Wert sollte beim Drucken von Grafiken generell niedriger sein als bei Text, etwa um den Faktor 10, um beste Leistung zu gewährleisten.

-c, --chars Zeichen
    ist die Anzahl der Versuche zur Ausgabe eines Zeichens auf dem Drucker, bevor für -t ZEIT gewartet wird. Ein Wert von 120 sollte für die meisten Drucker im Polling-Modus angemessen sein. Die Voreinstellung ist 1000, da einige Drucker mit anderen Einstellungen ruckeln könnten, aber wenn Sie Interrupts verwenden, müssen Sie diese Option auf 1 setzen, um die CPU effizient zu nutzen. Wenn Sie einen sehr schnellen Drucker haben, könnte ein Wert von 10 selbst im Polling-Modus sinnvoller sein. Ist Ihr Drucker wirklich alt, können Sie diesen Wert weiter erhöhen.

    Das Setzen der -t ZEIT auf 0 is äquivalent zum Setzen der -c ZEICHEN auf unendlich.

-w, --wait Millisekunden
    ist die Wartezeit in µs, die beim Herumprobieren am Strobe-Signal jeweils abgewartet wird. Die meisten Drucker scheinen mit einem extrem kurzen Strobe umgehen zu können, andere benötigen längere Strobes. Den Wert über die Vorgabe von 1 hinaus zu erhöhen kann es möglich machen, auch auf solchen Druckern zu drucken. Außerdem könnten längere Kabel verwendet werden. Gegebenenfalls kann dieser Wert auch auf 0 gesenkt werden, wenn entweder Ihr Drucker schnell genug oder Ihr Rechner langsam genug ist.

-a, --abort <on|off>
    gibt an, ob bei einem Druckerfehler der Druckauftrag abgebrochen werden soll – was in der Voreinstellung nicht der Fall ist. Dadurch können Sie auf den Fehler reagieren und ihn beseitigen, sodass der Drucker den Auftrag fertig drucken kann. Sind Sie nicht persönlich vor Ort, können Sie stattdessen auch festlegen, dass der Druckspooler bei Problemen den Auftrag abbricht und Sie per E-Mail darüber informiert. Das liegt ganz bei Ihnen.

-o, --check-status <on|off>
    Diese Option ähnelt -a. Die open(2)-Aufrufe des Gerätes überprüfen zunächst, ob es betriebsbereit ist und keine Meldungen über Papierstau oder andere Fehler vorliegen. Dies ist die korrekte Einstellung für die meisten lpd-Versionen.

-C, --careful <on|off>
    löst eine besonders »sorgfältige« Fehlerprüfung aus. Wenn diese Option aktiviert ist, stellt der Druckertreiber vor dem Senden von Daten sicher, dass der Drucker betriebsbereit ist und keinen Papierstau oder andere Fehler meldet. Dies ist insbesondere für Drucker nützlich, die anscheinend im ausgeschalteten Zustand Daten akzeptieren.

    HINWEIS: Diese Option ist obsolet, da sie die Voreinstellung in Kernel 2.1.131 und neuer ist.

-s, --status
    gibt den aktuellen Druckerstatus zurück, sowohl als Dezimalzahl von 0 bis 255, als auch in Form einer Liste der aktiven Schalter. Wenn diese Option angegeben ist, bezieht das ein, dass -q deaktiviert und die Anzeige des aktuellen IRQ ausgeschaltet ist.

-r, --reset
    Diese Option setzt den Port zurück. Dazu wird ein Kernel 1.1.80 oder neuer benötigt.

-q, --print-irq <on|off>
    Diese Option schaltet die Anzeige der aktuellen IRQ-Einstellung ein oder aus.

DATEIEN

/dev/lp?, /proc/parport/*/*

ANMERKUNGEN

Die Optionen -o, -C und -s benötigen alle einen Linux-Kernel Version 1.1.76 oder neuer.

-C benötigt einen Linux-Kernel Version vor 2.1.131.

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl tunelp ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.